# KHRImage2DFromBuffer (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opencl
Class KHRImage2DFromBuffer

    java.lang.Object
      org.lwjgl.opencl.KHRImage2DFromBuffer

    public final class KHRImage2DFromBuffer

extends java.lang.Object

Field Summary
`static int` `CL_DEVICE_IMAGE_BASE_ADDRESS_ALIGNMENT` cl_device_info
`static int` `CL_DEVICE_IMAGE_PITCH_ALIGNMENT` cl_device_info

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CL_DEVICE_IMAGE_PITCH_ALIGNMENT

    public static final int CL_DEVICE_IMAGE_PITCH_ALIGNMENT

  cl_device_info

  See Also:
    Constant Field Values

### CL_DEVICE_IMAGE_BASE_ADDRESS_ALIGNMENT

    public static final int CL_DEVICE_IMAGE_BASE_ADDRESS_ALIGNMENT

  cl_device_info

  See Also:
    Constant Field Values

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.